---
title: Retrieve offload settings
url: https://developers.wpengine.com/docs/managed-hosting-platform/api/reference/operations/getoffloadsettings/
image: https://developers.wpengine.com/og/docs/managed-hosting-platform/api/reference/operations/getoffloadsettings.png
---

# Retrieve offload settings

GET

/installs/{install_id}/offload_settings/files

Select code sample

```sh
curl --request GET \
  --url https://api.wpengineapi.com/v1/installs/294deacc-d8b8-4005-82c4-0727ba8ddde0/offload_settings/files \
  --header 'Authorization: Basic <credentials>'
```

-

Returns the LargeFS offload settings configuration for the install.

## Authorizations

- **[basicAuth](https://developers.wpengine.com/docs/managed-hosting-platform/api/reference/#basicauth)**

## Parameters

### Path Parameters

**install_id**

required

string format: uuid

ID of install

#### Example

```
294deacc-d8b8-4005-82c4-0727ba8ddde0
```

## Responses

### 200

Returns a `LargeFSConfig` object.

Media typeapplication/json

object

**largefs_settings**

object

**cloud**

string

Allowed values: s3

**bucket**

string

**bucket_region**

string

**path_settings**

Array\<object>

object

**path**

string

**excluded_paths**

Array\<string>

**redirect_type**

string

Allowed values: break permanent

#### Example

```json
{
  "largefs_settings": {
    "cloud": "s3",
    "path_settings": [
      {
        "redirect_type": "break"
      }
    ]
  }
}
```

### 401

Authentication Error

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "Bad Credentials"
}
```

### 403

Not authorized

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "You don't have permission to perform that action"
}
```

### 404

Not found

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "Not Found"
}
```

### 429

Too many requests

### 500

Internal Server Error

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

#### Example

```json
{
  "message": "An unexpected error occurred, please try again in a few minutes"
}
```

### 502

An invalid response was received from an upstream server

### 503

Service unavailable

## Was this helpful?

Thanks for the feedback!

```json
{"@context":"https://schema.org","@graph":[{"@type":"WebSite","@id":"https://developers.wpengine.com/#website","name":"WP Engine Product Documentation","url":"https://developers.wpengine.com/","description":"Resources for developing, deploying, and scaling on WP Engine.","inLanguage":"en-US","keywords":["API documentation","product documentation","headless WordPress","managed WordPress hosting"],"publisher":{"@id":"https://wpengine.com/#organization"}}]}
```
